ru.yandex.clickhouse.response

## Class ClickHouseScrollableResultSet

- java.lang.Object
- - ru.yandex.clickhouse.response.AbstractResultSet
  - - ru.yandex.clickhouse.response.ClickHouseResultSet
    - - ru.yandex.clickhouse.response.ClickHouseScrollableResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class ClickHouseScrollableResultSet
    extends ClickHouseResultSet

### Field Summary

### Fields inherited from class ru.yandex.clickhouse.response.ClickHouseResultSet

`nextLine, rowNumber, values`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseScrollableResultSet(InputStream is, int bufferSize, String db, String table, boolean usesWithTotals, ClickHouseStatement statement, TimeZone timezone, ClickHouseProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`boolean` `first()`
`int` `getRow()`
`int` `getType()`
`boolean` `hasNext()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`boolean` `last()`
`boolean` `next()`
`boolean` `previous()`
`boolean` `relative(int rows)`

### Methods inherited from class ru.yandex.clickhouse.response.ClickHouseResultSet

`close, findColumn, getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getDate, getDate, getDb, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getLongArray, getLongArray, getMetaData, getObject, getObject, getObject, getObject, getShort, getShort, getStatement, getString, getString, getTable, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getTimestampAsLong, getTimestampAsLong, getTimestampAsLong, getTotals, getValues, isClosed, isLast, setFetchDirection, setFetchSize, setMaxRows, toString, wasNull`

### Methods inherited from class ru.yandex.clickhouse.response.AbstractResultSet

`cancelRowUpdates, clearWarnings, deleteRow, getAsciiStream, getAsciiStream, getBinaryStream, getBinaryStream, getBlob, getBlob, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getFetchDirection, getFetchSize, getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRef, getRowId, getRowId, getSQLXML, getSQLXML, getTime, getTime, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isWrapperFor, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Constructor Detail

#### ClickHouseScrollableResultSet

    public ClickHouseScrollableResultSet(InputStream is,
                                         int bufferSize,
                                         String db,
                                         String table,
                                         boolean usesWithTotals,
                                         ClickHouseStatement statement,
                                         TimeZone timezone,
                                         ClickHouseProperties properties)
                                  throws IOException

Throws:
  `IOException`

### Method Detail

#### hasNext

    public boolean hasNext()
                    throws SQLException

Overrides:
  `hasNext` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Overrides:
  `next` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### getType

    public int getType()
                throws SQLException

Specified by:
  `getType` in interface `ResultSet`
Overrides:
  `getType` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Overrides:
  `getRow` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Overrides:
  `isBeforeFirst` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Specified by:
  `isAfterLast` in interface `ResultSet`
Overrides:
  `isAfterLast` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Overrides:
  `isFirst` in class `ClickHouseResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Overrides:
  `beforeFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Overrides:
  `afterLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Overrides:
  `first` in class `AbstractResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Overrides:
  `last` in class `AbstractResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Overrides:
  `absolute` in class `AbstractResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Overrides:
  `relative` in class `AbstractResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Overrides:
  `previous` in class `AbstractResultSet`
Throws:
  `SQLException`